%define major   2
%define libname %mklibname %{name}6_ %{major}
%define devname %mklibname %{name} -d

Summary:        Astrometric Solver
Name:           stellarsolver
Version:        2.7
Release:        %mkrel 1
License:        GPLv3
Group:          Graphical desktop/KDE
URL:            https://github.com/rlancaste/stellarsolver
Source0:        https://github.com/rlancaste/stellarsolver/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ninja
BuildRequires:  cmake
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  pkgconfig(cfitsio)
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(wcslib)

%description
An Astrometric Plate Solver for Mac, Linux, and Windows,
built on Astrometry.net and SEP (sextractor).

%package -n %{libname}
Summary:        Astrometric Solver runtime library
Group:          System/Libraries

%description  -n %{libname}
An Astrometric Plate Solver for Mac, Linux, and Windows,
built on Astrometry.net and SEP (sextractor), runtime library.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development headers and libraries for %{name}.

%prep
%autosetup -p1

%build
%cmake -G Ninja \
       -DUSE_QT5:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libstellarsolver6.so.%{major}{,.*}

%files -n %{devname}
%license LICENSE
%{_includedir}/libstellarsolver/
%{_libdir}/cmake/StellarSolver/
%{_libdir}/libstellarsolver.so
%{_libdir}/pkgconfig/stellarsolver.pc


%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 2.7-1.mga10
+ Revision: 2194041
- new version: 2.7

* Sat Jan 11 2025 daviddavid <daviddavid> 2.6-4.mga10
+ Revision: 2137748
- switch to Qt6

* Mon Aug 05 2024 daviddavid <daviddavid> 2.6-3.mga10
+ Revision: 2083635
- switch back to Qt5 (kstars not yet ready for Qt6)

* Mon Aug 05 2024 daviddavid <daviddavid> 2.6-2.mga10
+ Revision: 2083620
- switch to Qt6

* Mon Jul 08 2024 daviddavid <daviddavid> 2.6-1.mga10
+ Revision: 2080317
- new version: 2.6

* Fri Apr 05 2024 daviddavid <daviddavid> 2.5-3.mga10
+ Revision: 2054469
- add upstream astrometry patch for get rid of system qsort

* Thu Jan 04 2024 daviddavid <daviddavid> 2.5-2.mga10
+ Revision: 2027402
- rebuild for new wcslib

* Mon Aug 28 2023 daviddavid <daviddavid> 2.5-1.mga10
+ Revision: 1980397
- new version: 2.5

* Mon Apr 10 2023 daviddavid <daviddavid> 2.4-4.mga9
+ Revision: 1951888
- rebuild to fix 'libdir' path in pkgconfig files

* Thu Dec 29 2022 daviddavid <daviddavid> 2.4-3.mga9
+ Revision: 1927524
- rebuild for new gsl 2.7.1

* Sun Dec 04 2022 daviddavid <daviddavid> 2.4-2.mga9
+ Revision: 1917617
- rebuild for new cfitsio 4.2.0

* Mon Aug 22 2022 papoteur <papoteur> 2.4-1.mga9
+ Revision: 1879116
- new 2.4

* Sun Apr 03 2022 umeabot <umeabot> 1.5-2.mga9
+ Revision: 1842326
- Mageia 9 Mass Rebuild

* Mon Mar 01 2021 daviddavid <daviddavid> 1.5-1.mga9
+ Revision: 1695164
- initial package stellarsolver

